<?php

if ( !defined( 'ABSPATH' ) ) exit;

function hashbuddy_activity_hashtags_filter( $content ) {
	global $bp;


	$pattern = '/(?(?<!color: )(?<!color: )[#]([_0-9a-zA-Z-]+)|(^|\s|\b)[#]([_0-9a-zA-Z-]+))/';

	preg_match_all( $pattern, $content, $hashtags );
	if ( $hashtags ) {
		/* Make sure there's only one instance of each tag */
		if ( !$hashtags = array_unique( $hashtags[1] ) )
			return $content;

		//but we need to watch for edits and if something was already wrapped in html link - thus check for space or word boundary prior
		foreach( (array)$hashtags as $hashtag ) {
			$pattern = "/(^|\s|\b)#". $hashtag ."($|\b)/";
			$content = preg_replace( $pattern, ' <a href="?hash=' . htmlspecialchars( $hashtag ) . '" rel="nofollow" class="hashtag" id="' . htmlspecialchars( $hashtag ) . '">#'. htmlspecialchars( $hashtag ) .'</a>', $content );
		}
	}

	return $content;
}


function etivite_bp_activity_hashtags_querystring( $query_string, $object ) {
	global $bp;

	if ( isset( $_GET['hash'] ) ) {

		$hash = $_GET['hash'];

	/* Now pass the querystring to override default values. */
	$query_string .= '&display_comments=true&search_terms=#' . $hash;

	}

	return $query_string;
}
add_filter( 'bp_ajax_querystring', 'etivite_bp_activity_hashtags_querystring', 11, 2 );
add_filter( 'bp_dtheme_ajax_querystring', 'etivite_bp_activity_hashtags_querystring', 11, 2 );