<?php
/*
Plugin Name: HashBuddy
Plugin URI: http://taptappress.com
Description: Hashtags for BuddyPress
Version: 1.1
Requires at least: WP 3.4, BuddyPress 1.6
Tested up to: WP 3.5, BuddyPress 1.7
License: GNU General Public License 2.0 (GPL) http://www.gnu.org/licenses/gpl.html
Author: modemlooper
Author URI: http://twitter.com/modemlooper
*/

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

function hashbuddy_activity_hashtags_init() {

	if ( !bp_is_active( 'activity' ) )
		return;

	if ( file_exists( dirname( __FILE__ ) . '/languages/' . get_locale() . '.mo' ) )
		load_textdomain( 'hashbuddy', dirname( __FILE__ ) . '/languages/' . get_locale() . '.mo' );

	require( dirname( __FILE__ ) . '/includes/hashbuddy.php' );

	define('HASHBUDDY_URL', plugin_dir_url( __FILE__ ) );

	//same set used for atme mentions
	add_filter( 'bp_activity_comment_content', 'hashbuddy_activity_hashtags_filter' );
	add_filter( 'bp_activity_new_update_content', 'hashbuddy_activity_hashtags_filter' );
	add_filter( 'group_forum_topic_text_before_save', 'hashbuddy_activity_hashtags_filter' );
	add_filter( 'group_forum_post_text_before_save', 'hashbuddy_activity_hashtags_filter' );
	add_filter( 'groups_activity_new_update_content', 'hashbuddy_activity_hashtags_filter' );

	//what about blog posts in the activity stream
	//if ( $data['blogactivity']['enabled'] ) {
		add_filter( 'bp_blogs_activity_new_post_content', 'hashbuddy_activity_hashtags_filter' );
		add_filter( 'bp_blogs_activity_new_comment_content', 'hashbuddy_activity_hashtags_filter' );
	//}

	//what about general blog posts/comments?
	//if ( $data['blogposts']['enabled'] ) {
		add_filter( 'get_comment_text' , 'hashbuddy_activity_hashtags_filter', 9999 );
		add_filter( 'the_content', 'hashbuddy_activity_hashtags_filter', 9999 );
	//}

	//support edit activity stream plugin
	add_filter( 'bp_edit_activity_action_edit_content', 'hashbuddy_activity_hashtags_filter' );

}
add_action( 'bp_include', 'hashbuddy_activity_hashtags_init', 88 );